package com.asus.socialnetwork;

import com.asus.socialnetwork.model.Version;
import com.asus.socialnetwork.callback.CurrentLoginResponse;
import com.asus.socialnetwork.callback.ISocialNetworkManagerCallback;
import com.asus.socialnetwork.parameter.limitation.CommentTimeLimitation;
import com.asus.socialnetwork.parameter.limitation.PhotoTimeLimitation;
import com.asus.socialnetwork.parameter.limitation.StreamTimeLimitation;
import com.asus.socialnetwork.parameter.limitation.UserListTimeLimitation;

interface ISocialNetworkManager {
    void social00000000(int source, String accountName); // void cleanData(int source, String accountName);

    // Login
    void social00000001(int source, String accountName); // void login(int source, String accountName); // expand multi-account
    void social00000002(int source, String accountName); // void logout(int source, String accountName); // expand multi-account
    boolean social00000003(int source, String accountName); // boolean isLogin(int source, String accountName); // expand multi-account
    CurrentLoginResponse social00000004(); // CurrentLoginResponse currentLogin();

    // Bitmask
    void social00000005(int source, in UserListTimeLimitation limitation); // void updateFollowingAndFollowerList(int source, in UserListTimeLimitation limitation);
    void social00000006(int source); // void updateFriendList(int source);
    void social00000007(int source, in StreamTimeLimitation limitation); // void updateFriendStream(int source, in StreamTimeLimitation limitation);
    void social00000008(int source, String userId, in StreamTimeLimitation limitation); // void updateFriendWall(int source, String userId, in StreamTimeLimitation limitation);
    void social00000009(int source, in UserListTimeLimitation limitation); // void updateGroupAndPageUserList(int source, in UserListTimeLimitation limitation);
    void social00000010(int source, in  StreamTimeLimitation limitation); // void updateMyLikeStream(int source, in  StreamTimeLimitation limitation);
    void social00000011(int source, String accountName); // void updateMyProfile(int source, String accountName); // expand multi-account
    void social00000012(int source, in StreamTimeLimitation limitation); // void updateMyWall(int source, in StreamTimeLimitation limitation);
    void social00000013(int source, in StreamTimeLimitation limitation); // void updateNewsFeed(int source, in StreamTimeLimitation limitation);
    void social00000014(int source); // void updateNotifications(int source);
    void social00000015(int source, String message); // void postLink(int source, String message);
    void social00000016(int source, String localURI, String message); // void postPicture(int source, String localURI, String message);
    void social00000017(int source, String message); // void postMessage(int source, String message);

    // Single
    void social00000018(int source, String postId, String message); // void addStreamComment(int source, String postId, String message);
    void social00000019(int source, String commentId, String message); // void addCommentReply(int source, String commentId, String message);
    void social00000020(int source, String accountName, String photoId, String message); // void addPhotoComment(int source, String accountName, String photoId, String message); // expand multi-account
    void social00000021(int source, String message, String placeId, in String[] userIds); // void checkin(int source, String message, String placeId, in String[] userIds);
    void social00000022(int source, String commentId, boolean isLike); // void likeComment(int source, String commentId, boolean isLike);
    void social00000023(int source, String photoId, boolean isLike); // void likePhoto(int source, String photoId, boolean isLike);
    void social00000024(int source, String id, int idType, boolean isLike); // void likeMedia(int source, String id, int idType, boolean isLike);
    void social00000025(int source, String postId, boolean isLike); // void postLikeStream(int source, String postId, boolean isLike);
    void social00000026(int source, String notificationId); // void markNotification(int source, String notificationId);
    void social00000027(int source, String keyword, double longitude, double latitude, int range, int limit); // void nearPlaces(int source, String keyword, double longitude, double latitude, int range, int limit);
    void social00000028(int source, String postId, in UserListTimeLimitation limitation); // void updateLikePostUserList(int source, String postId, in UserListTimeLimitation limitation);
    void social00000029(int source, String photoId, in UserListTimeLimitation limitation); // void updateLikePhotoUserList(int source, String photoId, in UserListTimeLimitation limitation);
    void social00000030(int source, String postId, in CommentTimeLimitation limitation); // void updateStreamComments(int source, String postId, in CommentTimeLimitation limitation);
    void social00000031(int source, String accountName, String photoId, in CommentTimeLimitation limitation); // void updatePhotoComments(int source, String accountName, String photoId, in CommentTimeLimitation limitation); // expand multi-account
    void social00000032(int source, String photoId); // void updatePhotoTags(int source, String photoId);
    void social00000033(int source, String accountName, String userId); // void updateUserAlbums(int source, String accountName, String userId); // expand multi-account
    void social00000034(int source, String accountName, String albumId); // void updateAlbum(int source, String accountName, String albumId); // expand multi-account
    void social00000035(int source, String accountName, String albumId, in PhotoTimeLimitation limitation); // void updatePhotos(int source, String accountName, String albumId, in PhotoTimeLimitation limitation); // expand multi-account

	void social00000036(int source, int downloadType, String id, String accountName, int idType, String albumId); // void downloadSocialNetworkObject(int source, int downloadType, String id, String accountName, int idType, String albumId);

    // Not for all engine
    void social00000037(int source); // void updateEvent(int source);
    void social00000038(int source); // void updateFunfact(int source);
    void social00000039(int source, String postId, boolean undo); // void reTweet(int source, String postId, boolean undo);
    void social00000040(int source, String postId, boolean undo); // void mutePlurk(int source, String postId, boolean undo);
    void social00000041(int source, String postId, String message); // void repostPost(int source, String postId, String message);
    void social00000042(int source, String postId, boolean isRePlurk); // void rePlurk(int source, String postId, boolean isRePlurk); 
    void social00000043(int source, String title, String message, String dataPath); // void postVideo(int source, String title, String message, String dataPath);
    void social00000044(int source, String albumName, String message); // void createAlbum(int source, String albumName, String message);
    void social00000045(int source); // void updateGroupOfMyFriends(int source);
    void social00000046(int source, in String[] userIds); // void updateUserNewestPhoto(int source, in String[] userIds);
    void social00000047(int source); // void updateRecentPhoto(int source);
    void social00000048(int source, String shareId, String message, String visibilityFlag); // void reShare(int source, String shareId, String message, String visibilityFlag);
    void social00000049(int source); // void updateJobs(int source);
    void social00000050(int source); // void updateJobBookmarks(int source);
    void social00000051(int source, String jobId, boolean isBookmark); // void bookmarkJob(int source, String jobId, boolean isBookmark);
    void social00000052(int source, String postId, boolean isFollow); // void followPostOfGroup(int source, String postId, boolean isFollow);
    void social00000053(int source, String postId, String postCategoryFlag); // void flagPostOfGroup(int source, String postId, String postCategoryFlag);
    void social00000054(int source, String id, int idType); // void openEngineActivity(int source, String id, int idType);
    void social00000055(int source, String albumId, String message); // void addAlbumComment(int source, String albumId, String message);
    void social00000056(int source, String postId, String message); // void sharePost(int source, String postId, String message); // RenRen
    void social00000057(int source, String userId); // void updateUserPrivateTimeline(int source, String userId);
    void social00000058(int source); // void updateAllFriendsCheckinInfo(int source);
    void social00000059(int source, in List<String> userIds); // void updateUserProfiles(int source, in List<String> userIds);
    
    void social00000060(ISocialNetworkManagerCallback callback); // void registerCallback(ISocialNetworkManagerCallback callback);
    void social00000061(ISocialNetworkManagerCallback callback); // void unregisterCallback(ISocialNetworkManagerCallback callback);

    Version social00000062(String packageName, in Version version); // Version checkSDKnServiceVersion;
}